summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2006-04-02 16:04:33 +0000
committerLennart Poettering <lennart@poettering.net>2006-04-02 16:04:33 +0000
commit8c36bfcceb83029525f099611a57c46113e4cc21 (patch)
tree5b52a3c01c98bdc948e5e62d2c54097825117763
parente33020ed1f2dd0dfe4d54053c225306c2f3cde41 (diff)
assorted build system updates
git-svn-id: file:///home/lennart/svn/public/fusedav/trunk@29 e35a362c-bbd6-0310-a59f-a4efcb1729c4
-rw-r--r--Makefile.am4
-rwxr-xr-xbootstrap.sh37
-rw-r--r--configure.ac4
3 files changed, 30 insertions, 15 deletions
diff --git a/Makefile.am b/Makefile.am
index a5c2099..002a310 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -20,7 +20,7 @@ EXTRA_DIST=bootstrap.sh README LICENSE
SUBDIRS=src doc
MAINTAINERCLEANFILES = README
-noinst_DATA = README
+noinst_DATA = README LICENSE
README:
rm -f README
@@ -32,7 +32,7 @@ homepage: all dist
mkdir -p $$HOME/homepage/private/projects/fusedav
cp *.tar.gz $$HOME/homepage/private/projects/fusedav
cp doc/README.html doc/style.css $$HOME/homepage/private/projects/fusedav
- cp $$HOME/homepage/private/projects/fusedav/README.html $$HOME/homepage/private/projects/fusedav/index.html
+ ln -sf $$HOME/homepage/private/projects/fusedav/README.html $$HOME/homepage/private/projects/fusedav/index.html
distcleancheck:
@:
diff --git a/bootstrap.sh b/bootstrap.sh
index 173b9fb..d33398f 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -17,29 +17,44 @@
# along with fusedav; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+VERSION=1.9
+
run_versioned() {
local P
- type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+ local V
+
+ V=$(echo "$2" | sed -e 's,\.,,g')
+
+ if [ -e "`which $1$V`" ] ; then
+ P="$1$V"
+ else
+ if [ -e "`which $1-$2`" ] ; then
+ P="$1-$2"
+ else
+ P="$1"
+ fi
+ fi
shift 2
"$P" "$@"
}
+set -ex
+
if [ "x$1" = "xam" ] ; then
- set -ex
- run_versioned automake 1.7 -a -c
+ run_versioned automake "$VERSION" -a -c --foreign
./config.status
else
- set -ex
rm -rf autom4te.cache
rm -f config.cache
- run_versioned aclocal 1.7
- autoheader
- run_versioned automake 1.7 -a -c
- autoconf -Wall
-
- CFLAGS="-g -O0" ./configure --sysconfdir=/etc "$@"
+ run_versioned aclocal "$VERSION"
+ run_versioned autoconf 2.59 -Wall
+ run_versioned autoheader 2.59
+ run_versioned automake "$VERSION" -a -c --foreign
- make clean
+ if test "x$NOCONFIGURE" = "x"; then
+ CFLAGS="-g -O0" ./configure --sysconfdir=/etc "$@"
+ make clean
+ fi
fi
diff --git a/configure.ac b/configure.ac
index 8c22956..17210a5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -23,7 +23,7 @@ AC_PREREQ(2.59)
AC_INIT([fusedav],[0.2],[mzshfrqni (at) 0pointer (dot) de])
AC_CONFIG_SRCDIR([src/fusedav.c])
AC_CONFIG_HEADERS([config.h])
-AM_INIT_AUTOMAKE([foreign -Wall])
+AM_INIT_AUTOMAKE([foreign 1.9 -Wall])
AC_REVISION($Id$)
AC_SUBST(PACKAGE_URL, [http://0pointer.de/lennart/projects/fusedav/])
@@ -105,7 +105,7 @@ AC_STRUCT_ST_BLOCKS
# Checks for library functions.
AC_FUNC_MALLOC
-AC_CHECK_FUNCS([ftruncate memset strdup strerror strrchr])
+AC_CHECK_FUNCS([ftruncate memset strdup strerror strrchr memchr strchr strcspn])
AC_CHECK_LIB([pthread], [pthread_create])